/* * 版 本 PIT-ADMS V7.0.3 敏捷开发框架
 * Copyright (c) 2013-2018 Hexagon PPM
 * 创建人：超级管理员
 * 日  期：2022-08-23 17:31
 * 描  述：命名规则，与对象类型和属性都有关联
 */
var acceptClick;
var ObjectTypePID = request('ObjectTypePID');
var ObjectTypeNVID = request('keyValue'); //从对应的index里的新增或编辑按钮进入
var ProjectId = request('ProjectId');
var ObjectTypeID = request('ObjectTypeID');
var bootstrap = function ($, learun) {
    "use strict";
    var page = {
        init: function () {
            page.bind();
            page.initData(); //
        },
        bind: function () {
            //对应的cshtml里，节点的属性也有关系
            $('#ObjectTypePID').lrselect({
                url: top.$.rootUrl + '/ZZDT_EC/ec_property/GetPropTreeDataByType',//获取数据地址  GetPropTreeData  GetObjectTypePById
                param: { ProjectId: ProjectId, isShowCheck: false, ObjectTypeID: ObjectTypeID },
                type: 'tree',//数据展示类型：                1.default：普通；2.tree：树形数据；3. treemultiple：树形多选；multiple：普通多选
                allowSearch: true,
                maxHeight: 225
            }).lrselectSet(ObjectTypePID);//lrselectSet获取下拉框选择的值，传入selectedProp。同时，也会自己定位到原有的值
        },
        initData: function () {
            /*  learun.alert.success(ObjectTypeNVID);*/
            if (!!ObjectTypeNVID) {
                $.lrSetForm(top.$.rootUrl + '/ZZDT_EC/ec_objecttypenamingconv/GetFormData?keyValue=' + ObjectTypeNVID + '&ProjectId=' + ProjectId, function (data) {
                    for (var id in data) {
                        console.log(id); //就是一个entity实体的名字
                        console.log(data[id]); //就是一个entity实体的对象，即一个json格式的
                        if (!!data[id] && data[id].length > 0) {
                            $('#' + id).jfGridSet('refreshdata', data[id]);
                        }
                        else {
                            $('[data-table="' + id + '"]').lrSetFormData(data[id]); //走的是这个地方
                        }
                    }
                });
            }

            $('#txt_Keyword').val();
        }
    };
    // 保存数据
    acceptClick = function (callBack) {
        if (!$('#form').lrValidform()) {
            return false;
        }//靠html里元素的checkexpession 和 isvalid等来检查

        //文字特殊字符及最大长度检测
        if (!verify()) {
            return false;
        }

        var formData = $('#form').lrGetFormData();

        formData.ObjectTypeNVID = ObjectTypeNVID;
        formData.ObjectTypeID = ObjectTypeID;
        formData.ObjectTypePName = $('#ObjectTypePID').val();
        console.log($('#ObjectTypePID').val());
        var postData = {
            strEntity: JSON.stringify(formData),
            ProjectId: ProjectId,

        }
        $.lrSaveForm(top.$.rootUrl + '/ZZDT_EC/ec_objecttypenamingconv/SaveForm?keyValue=' + ObjectTypeNVID, postData, function (res) {
            // 保存成功后才回调
            if (!!callBack) {
                callBack();
            }
        });
    };
    page.init();
}


//文字特殊字符及最大长度检测
function verify() {
  
    if ($("#Segmentno").val() == 0) {
        $.lrValidformMessage($("#Segmentno"), "需要输入正整数！");
        $('#Segmentno').click();
        return false;
    }

    if ($("#Length").val() == 0) {
        $.lrValidformMessage($("#Length"), "需要输入正整数！");
        $('#Length').click();
        return false;
    }
    var msg = checkStr($("#Sepator").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Sepator"), msg);
        $('#Sepator').click();
        return false;
    }
    msg = checkStr($("#Segmenttype").val(), 50);
    if (msg) {
        $.lrValidformMessage($("#Segmenttype"), msg);
        $('#Segmenttype').click();
        return false;
    }
    return true;
}
